package com.cab.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cab.model.CabAddress;

public interface CabAddressMapper  {
    int deleteByPrimaryKey(Integer id);

    int insert(CabAddress record);

    int insertSelective(CabAddress record);

    CabAddress selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CabAddress record);

    int updateByPrimaryKey(CabAddress record);
    /**
     * 
     * @Description：获取用户地址列表
     * @author: zhuoHeng
     * @version: 2016年4月5日 下午4:33:28
     */
    public List<CabAddress> getUserAddress(@Param("userId") String userId);
    /**
     * 
     * @Description：删除我的常用地址
     * @author: zhuoHeng
     * @version: 2016年4月5日 下午6:10:57
     */
    public int deleteUserAddress(@Param("id") String id,@Param("userId")String userId);
    /**
     * 
     * @Description：设置默认地址
     * @author: zhuoHeng
     * @version: 2016年4月13日 下午3:30:32
     */
    public int setDefaultAess(@Param("id") String id,@Param("userId") String userId);
    /**
     * 
     * @Description：重置其他默认地址标识
     * @author: zhuoHeng
     * @version: 2016年4月13日 下午3:31:16
     */
    public int reSetDefaultAess(@Param("userId") String userId);
    


}